@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    overflow: hidden;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    flex: 1 1 100vw;
    margin: 0px;
    font-family: 'Nunito', sans-serif;
}

main {
    justify-content: right;
    align-items: center;
    text-align: center;
    background-color: #F5F4F9;
    display: flex;
    width: 100%;
    height: 100vh;
}
.campo input[type="text"],
.campo textarea,
.campo input[type="password"] {
  padding: 0.5em;
  border: 1px solid #BDBDBD;
  border-radius: 15px;
  display: block;
  width: 100%;
  padding-top: 15px;
  font-size: 15px;
  height: 50px;
  outline: none;
  
}
.campo {
    color: white;
    position: relative;
}
.campo .visualizar-senha{
    position: absolute;
    top: 40px;
    right: 20px;
    cursor: pointer;
}
.content-email {
    color: #BDBDBD;
    position: absolute;
    bottom: 23px;
    left: 10px;
    bottom: 37px;
    padding: 2px;
    background-color: white;
}
.content-senha {
    color: #BDBDBD;
    position: absolute;
    bottom: 23px;
    left: 10px;
    bottom: 37px;
    padding: 2px;
    background-color: white;
}
.logo-section {
    margin-top: 50px;
    display: flex;
}
h1 {
    font-size: 2em;
    text-align: left;
    color: black;
}
#Entrar{
    background: #E0E0E0;
    margin-top: 7%;
}
.ou-entao{
    display: flex;
    gap: 3px;
    justify-content: center;
    text-align: center;
    color: #616161;
}
.botao {
    border: none;
    font-family: 'Nunito', sans-serif;
    font-size: 1em;
    border-radius: 5px;
    font-size: 1.2em;
    background: #00C247;
    border: 0;
    margin-bottom: 1em;
    color: #ffffff;
    padding: 0.5em 0.6em;
    box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.2);
    display: relative;
    cursor: pointer;
    width: 100%;
}
.linha-traco {
    border-top: 1px solid #616161;
    margin-top: 10px;
    width: 25px;
    height: 0;
}

.botao:hover {
    background: #181515;
    box-shadow: inset 2px 2px 2px rgba(0, 0, 0, 0.2);
    text-shadow: none;
    transition: 1s;
}
.grupo {
    
    background-color: #ffffff;
    height: 100vh;
    width: 40%;
    padding: 150px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    gap: 30px;
}
a {
    text-decoration: none;
    color: #2C4D9C;
  
 }
.support {
    display: flex;
    font-size: 20px;
    padding-top: 20px;
    justify-content: space-between;
}

@media only screen and (max-width: 1750px){
    
    .logo-section {
        margin-top: 150px;
        display: flex;
    }
    .grupo {
        background-color: #ffffff;
        height: 100vh;
        width: 50%;
        padding: 100px;
        box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
        border-radius: 10px;
        display: flex;
        flex-direction: column;
        gap: 30px;
    }
}
@media only screen and (max-width: 1570px) {
    
    .coracao-login{
        width: 100%;
        height: auto;
        
    }
    .coracao-login img{
        width: 100%;
    }
    .grupo {
        height: 100vh;
        width: 50%;
        padding-left: 50px;
        padding-right: 50px;
        
     }
     .grupo h1{
        font-size: 25px;
     }
     .logo-section img{
        width: 100%;
     }
}
@media only screen and (max-width: 1150px) {
    .coracao-login{
        display: none;
    }
    .grupo {
        height: auto;
        width: 100%;
        margin: 100px;
    
     }
}
@media only screen and (max-width: 580px) {
    .coracao-login{
        display: none;
    }
    .grupo {
        font-size: 2vh;
        width: 99%;
        padding-top: 0;
        padding-bottom: 0;
        padding-left: 50px;
        padding-right: 50px;
        margin: 4px;
    }
    .logo-section img{
        margin: 0;
    }
}